> For the complete documentation index, see [llms.txt](https://api-old.innov8tif.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-old.innov8tif.com/okaydoc/singapore/sg-id-card-front/version-2-1.md).

# Version 2-1

<mark style="color:green;">`POST`</mark> `https://okaydocdemo.innov8tif.com/ekyc/api/ekyc/v2-1/doc-verify/sg-id-card-front`

#### Request Body

| Name               | Type   | Description                                                                             |
| ------------------ | ------ | --------------------------------------------------------------------------------------- |
| caseNo             | string | Reference code given by user                                                            |
| otherDocList       | string | This parameter is needed for illumination detection and optical variable ink detection. |
| apiKey             | string | To be assigned by Innov8tif                                                             |
| idImageBase64Image | string | Front id card image in base64                                                           |

{% tabs %}
{% tab title="200 doctype value for PR: PR NRIC
doctype value for NRIC: SG NRIC" %}

```
{
    "status": "success",
    "messageCode": "api.success",
    "message": "",
    "id": "333e1c8f-4360-4b94-8d83-060c4f67ab25",
    "methodList": [
        {
            "method": "landmark",
            "label": "Landmark Analysis Result",
            "componentList": [
                {
                    "code": "l-sg-lic-coatofarm",
                    "label": "Coat of Arms",
                    "value": "91.04602932929993",
                    "imageUrl": "/public/image/v2/333e1c8f-4360-4b94-8d83-060c4f67ab25?type=l-sg-lic-coatofarm",
                    "refImageUrl": null
                },
                {
                    "code": "l-sg-lic-lionhead",
                    "label": "Lion Head Symbol",
                    "value": "0",
                    "imageUrl": "/public/image/v2/333e1c8f-4360-4b94-8d83-060c4f67ab25?type=l-sg-lic-lionhead",
                    "refImageUrl": null
                },
                {
                    "code": "l-sg-lic-republic",
                    "label": "Republic of Singapore",
                    "value": "90.98642468452454",
                    "imageUrl": "/public/image/v2/333e1c8f-4360-4b94-8d83-060c4f67ab25?type=l-sg-lic-republic",
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "illuminationLevel",
            "label": "Illumination Level",
            "componentList": [
                {
                    "code": "illuminationLevel",
                    "label": "Illumination Level",
                    "value": "Fail",
                    "imageUrl": "/public/image/v2/333e1c8f-4360-4b94-8d83-060c4f67ab25?type=illuminationLevel",
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "headerColorDiff",
            "label": "Header Color Difference",
            "componentList": [
                {
                    "code": "headerColorDiff",
                    "label": "Header Color Difference",
                    "value": "Fail",
                    "imageUrl": "/public/image/v2/333e1c8f-4360-4b94-8d83-060c4f67ab25?type=headerColorDiff",
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "colorMode",
            "label": "Color Detection",
            "componentList": [
                {
                    "code": "colorMode",
                    "label": "Color Detection",
                    "value": "Pass",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "screen",
            "label": "Screen Detection",
            "componentList": [
                {
                    "code": "screen",
                    "label": "Screen Detection",
                    "value": "Cautious",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "docType",
            "label": "Document Type",
            "componentList": [
                {
                    "code": "docType",
                    "label": "Document Type",
                    "value": "PR NRIC",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        }
    ],
    "outputImageList": null
}
```

{% endtab %}
{% endtabs %}

### Input Example

```
{
    "apiKey": "apikey",
    "caseNo": "CASE 123",
    "idImageBase64Image": "/9j/4AAQSkZJ...fYs1wRtQHt//Z\r\n",
    "idNumber": "820403-05-1111",
    "otherDocList": [
        {
            "base64Image":"/9j/4AAQSkZJRgABAQAAAQABAAD/2wBD",
            "type":"with_flash" 
        }
    ]

}
```

{% file src="/files/-MZVkz1-N4Cjt4vHiJQT" %}

### &#x20;Illumination Detection <a href="#illumination-detection" id="illumination-detection"></a>

**Multiple Laser Image (MLI):** A laser-generated optically variable image, composed of horizontal lines.

![](/files/-MZVjNfZFQuXUSvIqs1t)

![](/files/-MZVjPUn3fD75g3OYobv)

### **Optically Variable Ink Detection**

**Optically Variable Ink (OVI):** Ink containing optically variable pigments that generate a noticeable colour change (shift), depending on the angle of view and/or incidence of light.

![](/files/-MZVjVW7iO2UZ5n122RR)

![](/files/-MZVk-LfzmDtcYZzHNvm)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-old.innov8tif.com/okaydoc/singapore/sg-id-card-front/version-2-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
